Send Bulk SMS V2

SMS OTP version change is by introducing a new API version release.

Version changes usually need to be applied immediately to the latest version, in order to get a better API usage experience than the previous version.

The benefits you get if you use a newer version are as follows.

  • Decreasing processing time in API Request and Response
  • Improve feature in SMS: Blocking Request, Spam Check, Sequential Phone Number, and Blocked Numbers
  • Increase RPS in SMS (before 30rps to 50rps)
  • Better developer environment to support future developments
  • Improve logging and monitoring on our side
  • Improved dependencies and improved service stability

This method helps you to send sms containing desired text to destination number
Rate limit of 50 RPS is applied to SMS service. Verihubs also apply rate limit divided into several categories based on product. More explanation link

Callback Description

When you want to use callback_url payload, you only need to put for example

your-callback-url.com/callback

Example callback that we'll send

your-callback-url.com/callback?session_id=d0f5fb5c-2d50-4d3f-aea7-20018ab15806&status=1
PayloadDescription
session_idID of the specific message
statusLatest status of the request

Status Description

StatusNameDescription
0RequestedSMS has been requested.
1DeliveredSMS has been delivered to destination number. This status will be charged.
4FailedOperator cannot send SMS to destination number
5Request ErrorVerihubs cannot reach Operator
7UndeliveredSMS has not been delivered to destination number (response received from Operator). This status will be charged.
8No Delivery ReportDelivered without Delivery Report from operator after certain period. This status will be charged.
9BlockedDestination Number has been blocked by Verihubs's system
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
msisdn
array of strings
required

Destination Phone Number. You need to include the international prefix number and also find your local prefix number here.

msisdn*
text
array of strings
required

SMS Body. In the SMS Body, you must mention the brand name according to the Sender ID. If list is used, please make sure text list equal to msisdn list because the text will be sent based on the same row as msisdn.

text*
boolean

used for Transactional SMS (Text Message from Business to Customer that provides valuable information about their product, service or processes).

string

Optional. This URL will be called by the server when the desired event will occur. Callback will work if you use premium route

Headers
string
required
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json